package com.fuint.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NonNull;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 采购订单表实体
 *
 * @Created by huangwen
 * CopyRight https://www.fuint.cn
 */
@Getter
@Setter
public class MtPurchaseOrderDto extends Page implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("实际支付")
    @NonNull
    private BigDecimal actualPrice;

    @ApiModelProperty("联系方式")
    private String contactWay;

    @ApiModelProperty("负责人")
    private String responsible;

    @ApiModelProperty("创建用户id")
    private String createUserId;

    @ApiModelProperty("发票文件/图片id")
    private String fileId;

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("采购货源")
    private String puchaseSource;

    @ApiModelProperty("采购时间")
    private String purchaseTime;

    @ApiModelProperty("支付方式")
    private String purchaseType;

    @ApiModelProperty("商品总数量")
    private Integer totalQuantity;

    @ApiModelProperty("商品总数量")
    private Integer totalWeight;

    @ApiModelProperty("订单项列表")
    private List<MtPurchaseOrderItemDto> orderItemList;

}
