package com.fuint.common.enums;


import java.util.Arrays;
import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;

public enum AlertEnum {

	ONE_DAY(1,"一天",1),

	SEVEN_DAYS(2,"七天",7),

	ONE_MONTH(3,"一个月",30),

	A_QUARTER(4,"一个季度",90),

	YEAR(5,"一年",365);

	private Integer alertId;

	private String desc;

	private Integer days;

	public static String getAlertDesc(Integer alertId){
		for (AlertEnum value : AlertEnum.values()) {
			if (value.getAlertId().equals(alertId)){
				return value.getDesc();
			}
		}
		return null;
	}

	public static Set<Integer> getAlertIds(){
		return Arrays.stream(AlertEnum.values()).map(AlertEnum::getAlertId)
				.collect(Collectors.toSet());
	}

	public static Integer getDaysByAlertId(Integer alertId){
		for (AlertEnum value : AlertEnum.values()) {
			if (value.getAlertId().equals(alertId)){
				return value.getDays();
			}
		}
		return Integer.MAX_VALUE;
	}

	public static List<AlertEnum> getAlertEnumList(){
		AlertEnum[] values = AlertEnum.values();
		return Arrays.asList(values);
	}

	AlertEnum(Integer alertId, String desc, Integer days) {
		this.alertId = alertId;
		this.desc = desc;
		this.days = days;
	}

	public Integer getAlertId() {
		return alertId;
	}

	public void setAlertId(Integer alertId) {
		this.alertId = alertId;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

	public Integer getDays() {
		return days;
	}

	public void setDays(Integer days) {
		this.days = days;
	}
}
