package com.fuint.common.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 采购订单表实体
 *
 * @Created by huangwen
 * CopyRight https://www.fuint.cn
 */
@Getter
@Setter
public class MtPurchaseOrderVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 实际支付
     */
    @ApiModelProperty("实际支付")
    private BigDecimal actualPrice;

    /**
     * 联系方式
     */
    @ApiModelProperty("联系方式")
    private String contactWay;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern="yyyy-MM-dd", timezone="GMT+8")
    private Date createTime;

    /**
     * 创建用户id
     */
    @ApiModelProperty("创建用户id")
    private String createUserId;

    /**
     * 是否删除 0否 1是
     */
    @ApiModelProperty("是否删除 0否 1是")
    private Integer deleteFlag;

    /**
     * 发票文件/图片id
     */
    @ApiModelProperty("发票文件/图片id")
    private String fileId;

    /**
     * 采购记录id
     */
    @ApiModelProperty("采购记录id")
    @TableId(value = "ID", type = IdType.ID_WORKER)
    private Long id;

    /**
     * 订单编号
     */
    @ApiModelProperty("订单编号")
    private String orderNo;

    /**
     * 项目标识
     */
    @ApiModelProperty("项目标识")
    private String project;

    /**
     * 采购货源
     */
    @ApiModelProperty("采购货源")
    private String puchaseSource;

    /**
     * 采购时间
     */
    @ApiModelProperty("采购时间")
    @JsonFormat(pattern="yyyy-MM-dd", timezone="GMT+8")
    private Date purchaseTime;

    /**
     * 支付方式
     */
    @ApiModelProperty("支付方式")
    private String purchaseType;

    /**
     * 店铺id
     */
    @ApiModelProperty("店铺id")
    private Long storeId;

    /**
     * 总价
     */
    @ApiModelProperty("总价")
    private BigDecimal totalPrice;

    /**
     * 商品总数量
     */
    @ApiModelProperty("商品总数量")
    private Integer totalQuantity;

    /**
     * 商品总KG
     */
    @ApiModelProperty("商品总KG")
    private Integer totalWeight;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @JsonFormat(pattern="yyyy-MM-dd", timezone="GMT+8")
    private Date updateTime;

    /**
     * 修改用户id
     */
    @ApiModelProperty("修改用户id")
    private String updateUserId;

    /**
     * 负责人
     */
    private String responsible;

    /**
     * 采购人
     */
    @ApiModelProperty("采购人")
    private String userId;

    /**
     * 订单发票图片列表
     */
    @ApiModelProperty("订单发票图片列表")
    private List<String> fileList;

    /**
     * 订单项列表
     */
    @ApiModelProperty("订单项列表")
    private List<MtPurchaseOrderItemVo> orderItemList;

}
