package com.fuint.repository.model;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 材料采购订单项表实体
 *
 * @Created by huangwen
 * CopyRight https://www.fuint.cn
 */
@Data
@TableName("mt_purchase_order_item")
@ApiModel(value = "purchase_order_item表对象", description = "purchase_order_item表对象")
public class MtPurchaseOrderItem implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty("创建用户id")
    @TableField(fill = FieldFill.INSERT)
    private String createUserId;

    @ApiModelProperty("是否删除 0否 1是")
    @TableLogic
    private Integer deleteFlag;

    @ApiModelProperty("采购菜单项id")
    @TableId(value = "ID", type = IdType.ID_WORKER)
    private Long id;

    @ApiModelProperty("材料id")
    private String materialId;

    @ApiModelProperty("材料名字")
    private String materialName;

    @ApiModelProperty("项目标识")
    private String project;

    @ApiModelProperty("采购订单id")
    private String purchaseNo;

    @ApiModelProperty("总价")
    private BigDecimal totalPrice;

    @ApiModelProperty("总数")
    private Integer totalQuantity;

    @ApiModelProperty("单价")
    private BigDecimal unitPrice;

    @ApiModelProperty("更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty("修改用户id")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUserId;

}
